doctrine:
    dbal:
        # configure these for your database server
        driver: 'pdo_mysql'
        server_version : '5.0'
        charset: utf8
        default_table_options:
            charset: utf8
            collate: utf8_unicode_ci

        url: '%env(resolve:DATABASE_URL)%'
    orm:
        dql:
            string_functions:
                MONTH: DoctrineExtensions\Query\Mysql\Month
                YEAR: DoctrineExtensions\Query\Mysql\Year
                GROUP_CONCAT: NomaSolutions\SystemFoundationBundle\ORM\Mysql\GroupConcat
                CUT_NAME: NomaSolutions\SystemFoundationBundle\ORM\Mysql\CutName
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        mappings:
            Domain:
                is_bundle: false
                type: yml
                dir: '%kernel.project_dir%/config/doctrine/eherina/domain'
                prefix: 'Eherina\Domain'
                alias: Domain
            SecurityApplication:
                is_bundle: false
                type: yml
                dir: '%kernel.project_dir%/config/doctrine/nordmind-security/application'
                prefix: 'Nordmind\Security\Application'
                alias: Application
            MailerApplication:
                is_bundle: false
                type: yml
                dir: '%kernel.project_dir%/config/doctrine/nordmind-mailer/application'
                prefix: 'Nordmind\Mailer\Application\Mailer'
                alias: Application